classification
Title: Minor regression in PyEval_CallObjectWithKeywords()
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: inada.naoki, vstinner
Priority: normal Keywords: 3.6regression

Created on 2017-03-01 09:20 by inada.naoki, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 87 merged inada.naoki, 2017-03-01 09:23
PR 378 merged inada.naoki, 2017-03-01 11:46
PR 703 larry, 2017-03-17 21:00
PR 552 closed dstufft, 2017-03-31 16:36
Messages (4)
msg288748 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-03-01 09:20
This issue is spin off issue29548.

PyEval_CallObjectWithKeywords(PyObject *func, PyObject *args, PyObject *kwargs)
should raise TypeError when kwargs is not dict.
But after this commit [1], assert(PyDict_Check(kwargs)) can be called when args==NULL.

[1] https://github.com/python/cpython/commit/155ea65e5c88d250a752ee5321860ef11ede4085
msg288755 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-03-01 12:37
Both PR have been merged, I close the issue.
msg290353 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-03-24 23:30
New changeset 023532e558bb0c5bf60195aebbafe63a0bebd85e by INADA Naoki in branch '3.6':
bpo-29684: Fix minor regression of PyEval_CallObjectWithKeywords. (GH-378)
https://github.com/python/cpython/commit/023532e558bb0c5bf60195aebbafe63a0bebd85e
msg290354 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-03-24 23:31
New changeset 3824cd8fd44f287ea2a76120a39ee76eb34bbf32 by INADA Naoki in branch 'master':
bpo-29684: Fix regression of PyEval_CallObjectWithKeywords (GH-87)
https://github.com/python/cpython/commit/3824cd8fd44f287ea2a76120a39ee76eb34bbf32
History
Date User Action Args
2017-03-31 16:36:12dstufftsetpull_requests: + pull_request880
2017-03-24 23:31:01inada.naokisetmessages: + msg290354
2017-03-24 23:30:53inada.naokisetmessages: + msg290353
2017-03-17 21:00:35larrysetpull_requests: + pull_request614
2017-03-01 12:37:29vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg288755

stage: resolved
2017-03-01 11:46:49inada.naokisetpull_requests: + pull_request317
2017-03-01 09:23:39inada.naokisetpull_requests: + pull_request314
2017-03-01 09:20:00inada.naokicreate